Skip site navigation (1) Skip section navigation (2)

Re: Postgres 8.3.3, GSSAPI, and Windows XP

From: Stephen Frost <sfrost(at)snowman(dot)net>
To: Peter Koczan <pjkoczan(at)gmail(dot)com>
Cc: "pgsql-admin(at)postgresql(dot)org" <pgsql-admin(at)postgresql(dot)org>
Subject: Re: Postgres 8.3.3, GSSAPI, and Windows XP
Date: 2008-09-10 23:50:45
Message-ID: 20080910235045.GW16005@tamriel.snowman.net (view raw or flat)
Thread:
Lists: pgsql-admin
Peter,

* Peter Koczan (pjkoczan(at)gmail(dot)com) wrote:
> Gritty details:
> PostgreSQL 8.3.3
> Windows XP SP2 (32-bit)
> Kerberos for Windows 3.2.2
> Server is running on Red Hat Enterprise Linux 5.2, Kerberos 1.6.2

When using GSSAPI and KfW, you need to set a couple of environment
variables for libpq to pick up on which indicate it should use GSSAPI
rather than SSPI (standard Windows Kerberos/AD stuff):

PGGSSLIB = gssapi

and you'll probably also want:

PGKRBSRVNAME = postgres

Just set those through your computer settings, probably system wide on
the systems in question.

Since it defaults to upper-case POSTGRES on Windows, but if you're
running KfW, I'm guessing you're using just regular MIT/Kerberos and
using 'postgres/hostname(dot)domain(at)REALM'.

	Enjoy!

		Stephen

In response to

Responses

pgsql-admin by date

Next:From: Scott MarloweDate: 2008-09-11 01:35:13
Subject: Re: dynamic SQL
Previous:From: Peter KoczanDate: 2008-09-10 22:49:47
Subject: Postgres 8.3.3, GSSAPI, and Windows XP

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group